/** Array1.java
 *  This program demonstrates how to create an ArrayList object, add new
 *  array elements, and traverse the list in both directions.
 *  By Jane Chapman, Michael Landrum and Leon Schram
 **/
  
   
import java.util.ArrayList;  // Includes the ArrayList class of the util package.
 
 
public class Array1
{
	public static void main (String args[])
	{
		System.out.println("\nArray Demo 1\n");
		ArrayList aList = new ArrayList();   // Instantiation of an ArrayList object (no elements)
		aList.add("Leon");                   // adds new elements at the end of the list
		aList.add("Jane");
		aList.add("Mike");
		listForward(aList);
		listBackward(aList);
		System.out.println("\n\n"+ aList);	//actually prints list contents!
		
	}
	
	public static void listForward(ArrayList tList)
	{
		System.out.println("\nArray Printed Forward\n");
	    for (int x = 0; x < tList.size() ; x++)
	    	System.out.println("\t" + tList.get(x));
	    System.out.println();		
	}	
	
	public static void listBackward(ArrayList tList)
	{
        System.out.println("\nArray Printed Backward\n");		
	    for(int x = tList.size()-1; x >= 0; x--)
	    	System.out.println("\t" + tList.get(x));
	    System.out.println();		
	}	
}
		
		