/** Array2.java
 *  This program demonstrates how ArrayList size is determined by the number of elements in the
 *  ArrayList object, not by the capacity of the object instantiation.
 *  By Jane Chapman, Michael Landrum and Leon Schram
 **/
 
import java.util.ArrayList;
 
public class Array2
{
	public static void main (String [] arg)
	{
		System.out.println("\nArray Demo 2 \n");
		ArrayList aList = new ArrayList();   // Instantiation of ArrayList object with capacity for 10 elements.
														 // See API constructor comments
		System.out.println("Before adding aList Size: " + aList.size());
		aList.add("Jane");
		aList.add("Mike");
		aList.add("Leon");
		System.out.println("After adding aList Size:  " + aList.size());		
		listForward(aList);	
	}
	
	public static void listForward(ArrayList tList)
	{
		System.out.println();
	    for(int x = 0; x < tList.size() ; x++)
	    {
	    	System.out.println("\t" + tList.get(x));
	    }
	    System.out.println();
	    // Note that the toString method implementation allows display of ArrayList
	    // object's contents with the statement below:
	    System.out.println("aList contains: " + tList);
	    System.out.println();		
	}	
}
		
		