/** Array4.java
 *  The intention of this program is to make a copy of an existing ArrayList object 
 *	 by actually creating new object with the same information as those to be copied.  
 *  Now, when a change is made to aList2, it DOES NOT create an unwanted change in aList1.
 *  By Fran Trees
 */
public class Array4
{
	public static void main(String[] args)
	{
		System.out.println("Array 4\n");
		EasyReader input = new EasyReader();
		
		System.out.print("Enter number of students in class:  ");
		int maxStudents = input.readInt();
		input.readLine();
		Student[] csLab = new Student[maxStudents];
		for(int c = 0; c < maxStudents; c++)
		{
			System.out.print("Enter Student name:  ");
			String name = input.readWord();
			input.readLine();
			System.out.print("Enter Student id:  ");
			String id = input.readWord();
			Student temp = new Student(name,id);
			csLab[c] = temp;			
		}
		
		
		Student[] aList2 = new Student[csLab.length];   	
		
		aList2 = copyList(csLab);					
		System.out.print("csLab contains:");		
		listForward(csLab);
		System.out.print("aList2 contains:");
		listForward(aList2);
		
		//Student temp = new Student("Richard","999");
		//aList2[0] = temp;
		aList2[0].changeName("Richard");				
		
		System.out.print("\ncsLab contains:");		
		listForward(csLab);
		System.out.print("aList2 contains:");
		listForward(aList2);
		System.out.println();		
	}
	
	
	public static void listForward(Student[] tList)
	{   
	    for (int x = 0; x < tList.length ; x++)
	    {
	    	System.out.print("   "+ tList[x] + "   ");
	    }
	    System.out.println();		
	}	
		
	public static Student[] copyList(Student[] source)
	{
		Student[] tempArr = new Student[source.length];
		for (int k = 0; k < source.length; k++)
		{
			Student tempst = new Student(source[k].getName(),source[k].getStudentID());
			tempArr[k] = tempst;
			//tempArr[k]=source[k];
		}
		return tempArr;		
	}
}
		