import java.util.Random;
public class Utilities
{
		
	static Random generator = new Random();
	
	public static int getRandNumber(int a, int b)
	{

		int range = b - a + 1;
		int randNumber = generator.nextInt(range) + a;
		return randNumber;
	}
	/**
   Tests whether n has the form pow(2,k) - 1.
   @param n an integer
   @return true if n is a power of two minus one
	*/
public static boolean isPowerOfTwoMinusOne(int n)
	{
	   int p = 1;
	   while (p < n + 1) 
	   		p = 2 * p;
	   return p == (n + 1);
	}

	/**
   Returns the largest power of two minus one below a 
   given number
   @param n an integer
   @return the largest pow(2,k) - 1 < n
	*/
public static int largestPowerOfTwoMinusOneBelow(int n)
	{
	   int p = 1;
	   while (p < n + 1) 
	   		p = 2 * p;
	   return p / 2 - 1;
	}
}