import java.util.ArrayList;
import java.io.*;
import java.util.*;

/**
 * Class to demonstrate ArrayList
 * by Dave Slemon, July 2002
 * Demonstrates EasyReader 
 */
public class Array10{

	public static void main(String[] args){
		System.out.println("Array 10\n");
		int n=0;
		ArrayList numbers = new ArrayList();
		Integer zero = new Integer(0);
		
		EasyReader console = new EasyReader();
		
		
		
		//Continue to add numbers until the sentinel -999 is encountered
		while (true){
			//Ask user for a number
			System.out.print("Enter a number (-999 to quit): ");
			n = console.readInt(); 
						//exit if sentinel was discovered
			if (n == -999) break;
			System.out.println("Thank-you, your number " + n + " was added to the ArrayList.");
			
			//change n into an Integer Object
			Integer i = new Integer(n);
		
			//add this integer to the array
			numbers.add(i);
		
		}
		
		//Summary of Array Contents
		System.out.println("\n\nSummary");
		System.out.println("\tNumber of numbers provided: " + numbers.size());
		System.out.println("\tThe first occurrence of number zero occurs at:  " + numbers.indexOf(zero));

		
		// Use default toString() method to show contents of ArrayList
		System.out.println("\tThe ArrayList contains: " + numbers);//calls toString method of ArrayList
		
		
		//Iterate over the ArrayList : not part of AP CS A subset
		System.out.print("\tThe ArrayList displayed via an iterator: ");
		Iterator it = numbers.iterator();
		while (it.hasNext())
		{
			Integer d =  (Integer)it.next(); //numbers is an ArrayList of Objects
			System.out.print(d + " ");
		}
		System.out.println("");
		
	}


}