/** Array6.java
  * This program demonstrates that it is possible to store integers in an <ArrayList>
  * object with a "wrapper" class.  It is easier to use a regular array to store 
  * primitive data elements.
  *
  * By Jane Chapman, Michael Landrum and Leon Schram
  **/


import java.util.ArrayList;


public class Array6
{
   public static void main(String args[])
   {
   	  System.out.println("\nArray Demo 6 \n");
   	  ArrayList numbers = new ArrayList();
   	  getList(numbers);
   	  showList(numbers);
   	  showSum(numbers);	
      System.out.println();
   }
  
   public static ArrayList getList(ArrayList nbrs)
   {
      for (int k = 1100; k <= 2000; k+= 100)
   	     nbrs.add(new Integer(k));				//cast to object Integer
   	  return nbrs;
   }
   	     
   public static void showList(ArrayList nbrs)
   {
      for (int k = 0; k < nbrs.size(); k++)
         System.out.println("\t" + nbrs.get(k));   
      System.out.println();
   }
   
   
   public static void showSum(ArrayList nbrs)
   {
   	  int sum = 0;
   	  Integer temp;         // Integer object
      for (int k = 0; k < nbrs.size(); k++)
      {
         temp =  (Integer)nbrs.get(k);		//nbrs is array of objects
         								
         sum += temp.intValue();			//int value of Integer variable
      }      
      System.out.println("sum equals: " + sum);
      System.out.println();
   }
}

